rosbag2_bagfile_information:
  version: 5
  storage_identifier: sqlite3
  duration:
    nanoseconds: 25651382610
  starting_time:
    nanoseconds_since_epoch: 1714489714779658118
  message_count: 257
  topics_with_message_count:
    - topic_metadata:
        name: /wamv/distance_to_obstacle_f64/vessel_f_1
        type: std_msgs/msg/Float64
        serialization_format: cdr
        offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 256
    - topic_metadata:
        name: /global_path
        type: nav_msgs/msg/Path
        serialization_format: cdr
        offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 1
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - scenario1_obst-50_dist-0_0.db3
  files:
    - path: scenario1_obst-50_dist-0_0.db3
      starting_time:
        nanoseconds_since_epoch: 1714489714779658118
      duration:
        nanoseconds: 25651382610
      message_count: 257